diff --git a/vhdlparser/vhdlparser.jj b/vhdlparser/vhdlparser.jj
old mode 100644
new mode 100755
index d21afe15..2248ffd4
--- a/vhdlparser/vhdlparser.jj
+++ b/vhdlparser/vhdlparser.jj
@@ -890,6 +890,10 @@ void context_item() :  {}
 {
  library_clause()
 | use_clause()
+|  LOOKAHEAD(context_declaration()) context_declaration()
+|  context_ref()
+
+
 }
 
 QCString decimal_literal() :  {Token *tok=0;}
@@ -912,7 +916,7 @@ void design_file() :  {}
 
 void design_unit() :  {}
 {
- context_clause()library_unit()
+ context_clause() library_unit()
 
 }
 
@@ -1524,7 +1528,7 @@ QCString library_unit() :  {QCString s;}
 LOOKAHEAD(2)
 primary_unit() {  return s; }
 |  secondary_unit() {  return s; }
-|  context_declaration()
+
 
 }
 
@@ -2557,9 +2561,9 @@ void protected_type_declarative_part() :    {}
 // VHDL 2008
 // -----------------------------------------------------------------
 
-QCString context_ref() : {QCString s;}
+QCString context_ref() : {QCString s,s1;}
 {
- <CONTEXT_T>  s=identifier_list() <SEMI_T>
+ <CONTEXT_T>  s=identifier() (<DOT_T> s1=identifier() {s+=".";s+=s1;} )*  <SEMI_T>
  {
   return "context "+s ;
  }
@@ -2570,7 +2574,7 @@ void context_declaration(): {QCString s,s1;}
  <CONTEXT_T> s=identifier() <IS_T> { parse_sec=CONTEXT_SEC; }  (s1=libustcont_stats())* <END_T> [ <CONTEXT_T> ][identifier()] <SEMI_T>
                         {
                           parse_sec=0;
-                          addVhdlType(s.data(),getLine(LIBRARY_T),Entry::VARIABLE_SEC,VhdlDocGen::LIBRARY,"context",s1.data(),Public);
+                //          addVhdlType(s.data(),getLine(CONTEXT_T),Entry::VARIABLE_SEC,VhdlDocGen::LIBRARY,"context",s1.data(),Public);
                         }
 }
 
